Payout
Payout order creation
/api/v3/payout/create POST
DANGER
When creating and initiating a payment order, if the HTTP response status code is not 200, you must double-check the order status through the merchant management backend or order query interface. If the order exists and the status is "Generate Order" and "Transaction Abnormal", then The current order is currently in progress, do not make any order changes, otherwise unnecessary capital losses may occur, so please operate with caution. If the created interface returns a business code of 400 and there is a clear parameter verification failure, you can directly determine the order failure without querying. If you have any questions, please confirm with the Starpago team as soon as possible. The query interface must use the order status (status) as the basis for order judgment. If there are any other abnormal situations, please do not modify the order status without authorization. You need to manually participate in the Starpago team for follow-up confirmation. , please do not perform secondary withdrawal operations on the withdrawal information in the order to avoid unnecessary capital losses.
request parameter
body parameters(application/json)
{
"merOrderNo": "202202231234566", // merchant order number
"currency": "MXN", // Currency
"payMethod": "xxx", // Payment method (ask staff for details)
"amount": 1, // Amount
"notifyUrl": "https://www.starpago.com/", // Message notification callback address
"extra": {}, // Extension parameters, different currencies are slightly different, see the extra parameters section for details
}
curl --location -g --request POST 'https://api.starpago.com/api/v3/payout/create' \
--header 'User-Agent: apiHttp' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtaWQiOjEwMCwidHlwZSI6Im1lcmNoYW50IiwiaXNzIjoic3RhcnBhZ28iLCJleHAiOjE3MjU0NTY0NzN9.TTWj2Ctem2qfPhLtvpx4XG5lrXUH4veQD7dsQb0B9SI' \
--header 'Content-Type: application/json' \
--data-raw '{
"merOrderNo": "202202231234566",
"currency": "BRL",
"payMethod": "xxx",
"amount": 1,
"notifyUrl": "https://www.starpago.com/",
"extra":{
"bankCode": "90648",
"bankName": "STP",
"accountNo": "646180146010131618",
"accountName": "Alejandro fino",
"accountType": "40"
},
}'
Returning Responses
{
"code": 0,
"data": {
"status": "PENDING",
"orderNo": "202204191703308526031",
"merOrderNo": "202204191703302152",
"amount": 10,
"currency": "MXN",
"payMethod": "xxx",
"attach": null,
"createTime": 1650359010851,
"updateTime": 1650359011745,
},
"msg": "请求成功"
}
{
"code": 400,
"error": "request parameter [extra.accountNo] is invalid"
}
Payout order query
/api/v3/payout/query GET
request parameter
url parameters
{
"orderNo": "orderNo****", // order number
"merOrderNo": "merOrderNo*****" // merchant order number
}
curl --location -g --request GET 'https://api.starpago.com/api/v3/payout/query?orderNo=20220408123109677' \
--header 'User-Agent: apiHttp' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtaWQiOjEwMCwidHlwZSI6Im1lcmNoYW50IiwiaXNzIjoic3RhcnBhZ28iLCJleHAiOjE3MjU0NTY0NzN9.TTWj2Ctem2qfPhLtvpx4XG5lrXUH4veQD7dsQb0B9SI'
Returning Responses
{
"code": 0,
"data": {
"status": "PENDING",
"orderNo": "202204191703308526031",
"merOrderNo": "202204191703302152",
"amount": 10,
"tradeCharge": 0, // Transaction Fees, This value is invalid until the transaction is completed.
"tradeNo": "xxx", // Channel transaction number(not fixed)
"receiptUrl": "xxx", // Transaction voucher link (not fixed)
"currency": "MXN",
"payMethod": "xxx",
"attach": null,
"createTime": 1650359010851,
"updateTime": 1650359011745,
},
"msg": "请求成功"
}
Payout Extra Parameters
(BRL) Brazil
// payMethod: PIX
{
"bankCode": "CPF", // PIX account type [CPF, CNPJ, PHONE, EMAIL]
"accountNo": "xxx", // PIX account
"accountName": "xxx", // Bank Account Name
"document": "xxx", // CPF number (11 digits string)
}
(COP) Colombia
// payMethod: BANKTRANSFER
{
"bankName": "xxx", // Bank Name
"accountNo": "xxx", // Bank Account
"customerName": "xxx", // Customer Name
"customerPhone": "xxx", // Customer's mobile phone number (10 digits)
"customerEmail": "xxx", // Customer Email
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user type. Allowed values: CC, TI, CE, PA, NIT
} // Cashout requires uploading the customer's actual withdrawal parameters
// payMethod: BREB
{
"bankName": "xxx", // Bank Name
"accountNo": "xxx", // Bank Account
"customerName": "xxx", // Customer Name
"customerPhone": "xxx", // Customer's mobile phone number (10 digits)
"customerEmail": "xxx", // Customer Email
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user type. Allowed values: CC, TI, CE, PA, NIT
} // Cashout requires uploading the customer's actual withdrawal parameters
(MXN) Mexico
// payMethod: BANKTRANSFER
{
"bankCode": "xxx", // Bank code
"bankName": "xxx", // Bank Name
"accountNo": "xxx", // Account Information
"accountName": "xxx", // Account Name
"accountType": "xxx" // Account type. 40: Clabe 18 digits, 3: Bank card
}
(CLP) Chile
// payMethod: BANKTRANSFER
{
"customerPhone": "xxx", // Customer's mobile phone number (9 digits)
"customerEmail": "xxx", // Customer Email
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user identification type. RUT: Tax number, PAS: Passport
"bankCode": "xxx", // Bank code
"accountName": "xxx", // Bank Account Name
"accountNo": "xxx", // Account Information
"accountType": "xxx", // Account type. 1:Corriente, 2:Vista/Cuenta RUT, 3:Ahorro
}
(PEN) Peru
// payMethod: BANKTRANSFER
{
"customerPhone": "xxx", // Customer's mobile phone number (9 digits)
"customerEmail": "xxx", // Customer Email
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user identification type. DNI: ID card, CE: Foreigner ID card, RUC: Tax number, PAS: Passport
"accountName": "xxx", // Bank Account Name
"accountNo": "xxx", // Account Information
"accountType": "xxx", // Account type. 1: CORRIENTE, 2: AHORROS
"cciNo": "xxx", // Payee's transit account
"bankCode": "xxx", // Bank code
}
// payMethod: EWALLET
{
"customerPhone": "xxx", // Customer's mobile phone number (9 digits)
"customerEmail": "xxx", // Customer Email
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user identification type. DNI: ID card, CE: Foreigner ID card, RUC: Tax number, PAS: Passport
"accountName": "xxx", // WALLET Account Name
"accountNo": "xxx", // WALLET Account Information
"bankCode": "xxx", // WALLET Code: Yape, Plin
}
(TRY) Turkey
// payMethod: BANKTRANSFER
{
"accountName": "xxx", // Account Name
"accountNo": "xxx", // IBAN Account NO
}
// payMethod: PAPARA
{
"accountName": "xxx", // Account Name
"accountNo": "xxx", // Account No
}
(ARS) Argentina
// payMethod: BANKTRANSFER
{
"firstName": "xxx", // Customer FirstName
"lastName": "xxx", // Customer LastName
"email": "xxx", // Customer Email
"phone": "xxx", // Customer Phone
"address": "xxx", // Customer Address
"documentNumber": "xxx", // user identification number
"documentType": "xxx", // user identification type. DNI: ID card, CUIT: Tax number
"accountNo": "xxx", // Account Information
"accountType": "xxx", // Account type. 1: CBU, 2: CVU. 3: ALIAS
}
(USD) America
// payMethod: CASHAPP
{
"name": "xxx", // Customer name
"email": "xxx", // Customer Email
"phone": "xxx", // Customer's mobile phone number
"accountNo": "xxx", // CASHAPP Number
"dateOfBirth": "xxx", // Customer's birthday, e.g., 2002-02-02
"countryOfResidence": "xxx", // Country of residence, e.g., US
"stateOfResidence": "xxx", // State of residence, e.g., CA
"cardCity": "xxx", // City of residence, e.g., Los Angeles
"cardStreet": "xxx", // Street of residence, e.g., 211 Main St
"cardPostCode": "xxx", // Postal code, e.g., 323500
}
(USDT)
// payMethod: USDT-TRC20
{
"address": "xxx", // Blockchain wallet address
"uid": "xxx" // User unique id
}
// payMethod: USDT-ERC20
{
"address": "xxx", // Blockchain wallet address
"uid": "xxx" // User unique id
}
// payMethod: USDT-BEP20
{
"address": "xxx", // Blockchain wallet address
"uid": "xxx" // User unique id
}
(RUB) Russia
// payMethod: P2P
{
"name": "xxx", // Customer name
"email": "xxx", // Customer email
"phone": "xxx", // Customer Phone
"bankCode": "xxx", // Bank code
"accountNo": "xxx" // Account Information
}
// payMethod: SBP
{
"name": "xxx", // Customer name
"email": "xxx", // Customer email
"phone": "xxx", // Customer Phone
"bankCode": "xxx", // Bank code
"accountNo": "xxx" // SBP Account
}
Payout receipt png query
/api/v3/payout/receipt/png GET
request parameter
url parameters
{
"appId": "a0c07e56c281c23c9b0bfd94923cfb9d", // App ID
"orderNo": "20220408123109677", // order number
}
curl --location -g --request GET 'https://api.starpago.com/api/v3/payout/receipt/png?orderNo=20220408123109677' \
--header 'User-Agent: apiHttp'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtaWQiOjEwMCwidHlwZSI6Im1lcmNoYW50IiwiaXNzIjoic3RhcnBhZ28iLCJleHAiOjE3MjU0NTY0NzN9.TTWj2Ctem2qfPhLtvpx4XG5lrXUH4veQD7dsQb0B9SI'
Returning Responses
{
}
